diff --git a/contrib/logintoboggan_variable/logintoboggan_variable.module b/contrib/logintoboggan_variable/logintoboggan_variable.module
index 1f073ce..e0daaf9 100644
--- a/contrib/logintoboggan_variable/logintoboggan_variable.module
+++ b/contrib/logintoboggan_variable/logintoboggan_variable.module
@@ -101,7 +101,30 @@ function logintoboggan_variable_variable_info($options) {
       'group' => 'user_settings',
       'localize' => FALSE,
     ),
+    'logintoboggan_message_further' => array(
+      'title' => t('\'Further instructions...\' message', array(), $options),
+      'description' => t('Message shown to newly-registered users.', array(), $options),
+      'default' => 'Further instructions have been sent to your e-mail address.',
+      'type' => 'string',
+      'group' => 'user_settings',
+      'localize' => FALSE,
+    ),
+    'logintoboggan_message_validation' => array(
+      'title' => t('\'A validation e-mail has been sent...\' message', array(), $options),
+      'description' => t('Message shown to newly-registered users if e-mail verification is required when a visitor creates an account.', array(), $options),
+      'default' => 'A validation e-mail has been sent to your e-mail address. In order to gain full access to the site, you will need to follow the instructions in that message.',
+      'type' => 'string',
+      'group' => 'user_settings',
+      'localize' => FALSE,
+    ),
+    'logintoboggan_message_pending' => array(
+      'title' => t('\'Your account is currently pending approval...\' message', array(), $options),
+      'description' => t('Message shown to newly-registered users when administrator approval is required to register accounts.', array(), $options),
+      'default' => 'Thank you for applying for an account. Your account is currently pending approval by the site administrator.<br />Once it has been approved, you will receive an e-mail containing further instructions.',
+      'type' => 'string',
+      'group' => 'user_settings',
+      'localize' => FALSE,
+    ),
   );
   return $variables;
 }
-
diff --git a/logintoboggan.admin.inc b/logintoboggan.admin.inc
index 7447d1e..b81000c 100644
--- a/logintoboggan.admin.inc
+++ b/logintoboggan.admin.inc
@@ -168,6 +168,30 @@ function logintoboggan_main_settings() {
     '#default_value' => variable_get('logintoboggan_minimum_password_length', 0),
     '#description' => t('LoginToboggan automatically performs basic password validation for illegal characters. If you would additionally like to have a minimum password length requirement, select the length here, or set to \'None\' for no password length validation.')
   );
+  $form['messages'] = array('#type' => 'fieldset',
+    '#title' => t('Messages'),
+    '#tree' => FALSE,
+  );
+  $form['messages']['logintoboggan_message_further'] = array(
+    '#type' => 'textfield',
+    '#title' => t('Message shown to newly-registered users'),
+    '#default_value' => variable_get('logintoboggan_message_further', ''),
+    '#description' => t('Defaults to: \'Further instructions have been sent to your e-mail address.\'.'),
+  );
+  $form['messages']['logintoboggan_message_validation'] = array(
+    '#type' => 'textfield',
+    '#title' => t('Message shown to newly-registered users if e-mail verification is required when a visitor creates an account'),
+    '#default_value' => variable_get('logintoboggan_message_validation', ''),
+    '#description' => t('Defaults to: \'A validation e-mail has been sent to your e-mail address. In order to gain full access to the site, you will need to follow the instructions in that message.\'.'),
+    '#maxlength' => 256,
+  );
+  $form['messages']['logintoboggan_message_pending'] = array(
+    '#type' => 'textfield',
+    '#title' => t('Message shown to newly-registered users when administrator approval is required to register accounts'),
+    '#default_value' => variable_get('logintoboggan_message_pending', ''),
+    '#description' => t('Defaults to: \'Thank you for applying for an account. Your account is currently pending approval by the site administrator. Once it has been approved, you will receive an e-mail containing further instructions.\'.'),
+    '#maxlength' => 256,
+  );
 
   return system_settings_form($form);
 }
diff --git a/logintoboggan.install b/logintoboggan.install
index b42123f..2e5ef8b 100644
--- a/logintoboggan.install
+++ b/logintoboggan.install
@@ -55,6 +55,9 @@ function logintoboggan_uninstall() {
     'logintoboggan_immediate_login_on_register',
     'logintoboggan_override_destination_parameter',
     'logintoboggan_denied_remove_sidebars',
+    'logintoboggan_message_further',
+    'logintoboggan_message_validation',
+    'logintoboggan_message_pending',
   );
   foreach ($variables as $variable) {
   	variable_del($variable);
diff --git a/logintoboggan.module b/logintoboggan.module
index 43fcb76..15cd705 100644
--- a/logintoboggan.module
+++ b/logintoboggan.module
@@ -502,9 +502,9 @@ function logintoboggan_user_register_submit($form, &$form_state) {
   //   1. Users can set their own password.
   //   2. The pre-auth role isn't the auth user.
   //   3. Visitors can create their own accounts.
-  $message = t('Further instructions have been sent to your e-mail address.');
+  $message = t(variable_get('logintoboggan_message_further', 'Further instructions have been sent to your e-mail address.'), array(), array('langcode' => $account->language));
   if($reg_pass_set && $pre_auth && variable_get('user_register', USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL) == USER_REGISTER_VISITORS) {
-    $message = t('A validation e-mail has been sent to your e-mail address. You will need to follow the instructions in that message in order to gain full access to the site.');
+    $message = t(variable_get('logintoboggan_message_validation', 'A validation e-mail has been sent to your e-mail address. In order to gain full access to the site, you will need to follow the instructions in that message.'), array(), array('langcode' => $account->language));
   }
 
   if (variable_get('user_register', USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL) == USER_REGISTER_VISITORS) {
@@ -517,7 +517,7 @@ function logintoboggan_user_register_submit($form, &$form_state) {
     // Create new user account, administrator approval required.
     $mailkey = 'register_pending_approval';
 
-    $message = t('Thank you for applying for an account. Your account is currently pending approval by the site administrator.<br />Once it has been approved, you will receive an e-mail containing further instructions.');
+    $message = t(variable_get('logintoboggan_message_pending', 'Thank you for applying for an account. Your account is currently pending approval by the site administrator.<br />Once it has been approved, you will receive an e-mail containing further instructions.'), array(), array('langcode' => $account->language));
   }
 
   // Mail the user.
